Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 14 Apr 2021 16:00:09 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have made an online order on Centerpoint KSA with Order number 6293114373 on April 5, 2021. I received the item by next day but my order status on the website is still processing even though the order has been delivered. Because of that I couldn't make a return for some items in my order.  I called customer care 8001111027 seven times during the past 7 days but every time I receive feedback from the team that an email has been sent to the courier company and will be solved within 24 hours. Now it is 8 days and they didn't solve the problem. Please need your urgent support on this. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2400665